## net.i2p.i2ptunnel.udp
Class I2PSink

    java.lang.Object
      net.i2p.i2ptunnel.udp.I2PSink

All Implemented Interfaces:
  Sink

    public class I2PSink

extends Object
implements Sink

Producer This sends to a fixed destination specified in the constructor

Author:
  welterde

Field Summary
`protected Destination` `dest`
`protected I2PDatagramMaker` `maker`
`protected boolean` `raw`
`protected I2PSession` `sess`

Constructor Summary
`I2PSink(I2PSession sess, Destination dest)`
`I2PSink(I2PSession sess, Destination dest, boolean raw)`

Method Summary
`void` `send(Destination src, byte[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raw

    protected boolean raw

### sess

    protected I2PSession sess

### dest

    protected Destination dest

### maker

    protected final I2PDatagramMaker maker

Constructor Detail

### I2PSink

    public I2PSink(I2PSession sess,
                   Destination dest)

### I2PSink

    public I2PSink(I2PSession sess,
                   Destination dest,
                   boolean raw)

Method Detail

### send

    public void send(Destination src,
                     byte[] data)

  Specified by:
    `send` in interface `Sink`
  Parameters:
    `src` - ignored